import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Die Spielfigur Florian.
 * 
 * @author (Peter Brichzin) 
 * @version (Version 1.0)
 */
public class Florian extends Actor
{
    /**
     * Florian geht einen Schritt in Blickrichtung.
     */
    void Gehen()
    {
        if(getRotation()==0)
        { 
            NachOstenGehen();
        }
        else if(getRotation()==90)
        {
            NachSüdenGehen();
        }
        //hier fehlen noch zwei Himmelsrichtungen
    }
    
    /**
     * Florian geht einen Schritt nach Osten.
     * Ist Florian am Rand der Welt, bewegt er sich nicht weiter.
     */
    void NachOstenGehen()
    {
        if(getX()<9)
        {
            setLocation(getX()+1, getY()); 
        }
    }
    
    /**
     * Florian geht einen Schritt nach Süden.
     * Ist Florian am Rand der Welt, bewegt er sich nicht weiter.
     */
    void NachSüdenGehen()
    {
        if(getY()<9)
        {
            setLocation(getX(), getY()+1); 
        }
        else
        {
            System.out.println("Autsch!");
        }
    }
    
    /**
     * Florian geht einen Schritt nach Westen.
     * Ist Florian am Rand der Welt, bewegt er sich nicht weiter.
     */
    void NachWestenGehen()
    {
        if(getX()>0)
        {
            setLocation(getX()-1, getY()); 
        }

    }

    /**
     * Florian geht einen Schritt nach Westen.
     * Ist Florian am Rand der Welt, bewegt er sich nicht weiter.
     */
    void NachNordenGehen()
    {
        if(getY()>0)
        {
            setLocation(getX(), getY()-1); 
        }

    }

    /**
     * Dreht sich um 90 Grad nach links
     * Tipp: Teste vorab (an einem Objekt der Klasse Florian) 
     * die Methoden turn, getRotation, setRotation der Oberklasse
     */
    void LinksDrehen()
    {
        if(getRotation()==0)
        {
            setRotation(270);
        }
        else if(getRotation()==90)
        {
            setRotation(0);
        }
        else if(getRotation()==180)
        {
            setRotation(90);
        }
        else if(getRotation()==270)
        {
            setRotation(180);
        }
    }
    
    /**
     * Dreht sich um 90 Grad nach rechts
     */
    void RechtsDrehen()
    {
        if(getRotation()==0)
        {
            setRotation(90);
        }
        else if(getRotation()==90)
        {
            setRotation(180);
        }
        else if(getRotation()==180)
        {
            setRotation(270);
        }
        else if(getRotation()==270)
        {
            setRotation(0);
        }
    }
}
